from netforce.model import Model, fields
from netforce.access import get_active_company

class SettingAccountProduct(Model):
    _name="clinic.setting.account.product"
    _string="Setting Account Product"
    _multi_company=True

    _fields={
        "setting_id": fields.Many2One("clinic.setting","Setting",required=True,on_delete="cascade"),
        "patient_type_id": fields.Many2One("clinic.patient.type","Patient Type",search=True),
        'categ_id': fields.Many2One("product.categ","Category",search=True),
        "product_id": fields.Many2One("product","Product",search=True,required=True),
        "ar_credit_id": fields.Many2One("account.account","Income Credit",multi_company=True,search=True),
        "ar_debit_id": fields.Many2One("account.account","AR Debit",multi_company=True,search=True),
        "type": fields.Selection([("cash","Cash"),("credit","Credit")],"Type",search=True,required=True),
        'company_id': fields.Many2One("company","Company"),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
        'setting_id': 1,
    }
    _sql_constraints=("clinic_setting_acc_prod_key_uniq","unique(patient_type_id,categ_id,product_id,ar_credit_id,ar_debit_id,type)","account product should be unique"),
    _order="patient_type_id"

SettingAccountProduct.register()
